/*******************************************************************************
* Copyright(c) 2022 dongke All rights reserved. / Confidential
* 类的信息：
*		1.程序名称：
*		2.功能描述：同事扫码邀请页面画面
* 编辑履历：
*		作者				日期					版本				修改内容
*		姜永辉		  	2022-11-22			1.00		   	新建
*******************************************************************************/
const api = require('@/utils/api.js');
const config = require('@/config/config.js');
const Constants = require('@/utils/Constants.js');

const app = getApp()

Page({

    /**
     * 页面的初始数据
     */
    data: {
        // 返回邀请码的地址
        imgQrcode: '',
        // 每隔3秒执行一次 看是否 已经被邀请成功
        interval: null,
        // 语言包
        $t: app.globalData.lang,
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        let that = this
        // 获取二维码
        that.loadQrCodeData()
        // // 每隔3秒执行一次 看是否 已经被邀请成功
        // let interval = setInterval(function () {
        //     that.gettoken()
        // }, 30000)
        // that.setData({
        //     interval
        // })
    },

    /**
   * 生命周期函数--监听页面卸载
   */
    onUnload() {
        clearInterval(this.data.interval)
    },

    /**
    * @desc : 获取二维码
    * @date : 2022/5/12 13:49
    * @author : 姜永辉
    */
    loadQrCodeData() {
        let _this = this
        let param = {
            openid: app.globalData.openid
        }
        api.request(Constants.SYS_OPENID_API + 'oauth/wx/qrcode', 'POST', param).then(res => {
            console.log("getQrCode", res);
            if (res.data.code == Constants.SUCESS_CODE) {
                this.setData({
                    imgQrcode: config.image_url + res.data.data
                })
            }
        })
    },

    /**
    * @desc : 获取微信派发的临时登录凭证
    * @date : 2022/5/12 13:49
    * @author : 姜永辉
    */
    getTokenPromise() {
        return new Promise((resolve, reject) => {
            api.request(Constants.SYS_OPENID_API + 'oauth/wx/token', 'POST',
                { 'userWxid': app.globalData.openid }).then(res => {
                    resolve(res)
                })
        })
    },

    /**
    * @desc : 通过openid获取用户信息
    * @date : 2022/5/12 13:49
    * @author : 姜永辉
    */
    gettoken() {
        //  调用接口
        this.getTokenPromise().then(res => {
            if (res.data.code === Constants.SUCESS_CODE) {
                if (res.data.data.company != undefined
                    && res.data.data.company.cpId != undefined) {
                    clearInterval(this.data.interval)
                    // 调转主页
                    wx.reLaunch({
                        url: '../../pages/welcome/welcome',
                    })
                }
            }
        })
    },
})